---     
tags: 
  - Frames
description: Toggles the status of a frame between WHITE_DOTS and AVAILABLE
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: path
    name: database
    type: string
    required: true
  - in: path
    name: frame_id
    type: string
    required: true
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      properties:
        message:
          type: object
          example: { "id": 1, "status": "WHITE_DOTS"}
  204:
    schema:
      type: object
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'User not authorised'
  403:
    schema:
      type: object
      properties:
        message:
          type: string
          example: "Frame 1 is not in a valid state to updated"
